import { RuleResult } from "./rules.js";
/**
 * Ignores a diff when "format: uri" is added to nextLink parameter.
 */
export function ignoreNextLinkFormatUriRule(data, lhs, rhs) {
    if (!data.path)
        return RuleResult.ContinueProcessing;
    if (data.kind !== "N")
        return RuleResult.ContinueProcessing;
    const path = data.path.join(".");
    if (path.endsWith("properties.nextLink.format")) {
        return RuleResult.NoViolation;
    }
    return RuleResult.ContinueProcessing;
}
//# sourceMappingURL=ignore-next-link-format-uri.js.map